"check.input" <-
function(x, pos, a, du, D, pi=NULL){
    if(length(x) != length(pos)){
        stop("length(x) != length(pos)\n")
    }
    
    if(!is.matrix(a) || nrow(a) != ncol(a) ){
        stop("transition matrix a must be a square matrix\n")
    }

    if(!is.matrix(du)){
        stop("du must be a matrix\n")
    }
    
    if(nrow(du)!=D || ncol(du) !=ncol(a) ){
        stop("du must be a matrix with D rows and ncol(a) columns\n")
    }
    
    if(!is.null(pi)){
        if(!is.vector(pi)){
            stop("pi must be a vector\n")
        }
        
        if(length(pi) != ncol(a)){
            stop("length of pi must equal to ncol(a)\n")
        }
    }
}


