\name{post.prob}
\alias{post.prob}
\title{ posterior probability }
\description{
  calculate posterior probability based on forward and backward probability.
}
\usage{
post.prob(f, b, D, cut)
}
\arguments{
  \item{f}{ forward probability }
  \item{b}{ backward probability }
  \item{D}{ maximum duration }
  \item{cut}{cutting point used in logsumexp}
}
\details{
}
\value{
  postP: a matrix, where postP[t,i] = P(observations in step t is emitted from state i)
}
\references{ Rabiner L: A tutorial on hidden Markov models and selected applications in speech recognition. Proceedings of the IEEE 1989, 77(2):257-286.
}
\author{ Wei Sun sunwei@stat.ucla.edu }
\note{ }

\examples{

}
\keyword{ methods }
