"get.end" <- 
function(xk, pk, p.end, state=NULL, x.fix=NULL, p.fix=NULL, b.limit=1/1000){
    end = rep(NA, 4)
    if(is.null(state)){
        if(is.null(x.fix)){
            x.fix = mean(xk)
            p.fix = mean(pk)
        }
        ## linear model is: xk-x.fix = b(pk - p.fix)
        nxk = xk - x.fix
        npk = pk - p.fix
        s = sum(nxk*npk)/sum(npk*npk)
        b = s
        end[1] = end[2] = x.fix
        if(s <= 0){
            if(s > -b.limit){ b = -b.limit }
            end[3] = x.fix + b*(p.end-p.fix)
        }
        else{
            if(s <= b.limit){ b = b.limit }
            end[4] = x.fix + b*(p.end-p.fix)
        }
        return(end)
    }else{
        if(is.null(x.fix)){
            x.fix = mean(xk)
            p.fix = mean(pk)
        }
        if(state==1 || state==2){
            end = x.fix
        }else{
            ## linear model is: x-x.fix = b(p - p.fix)
            nxk = xk - x.fix
            npk = pk - p.fix
            s = sum(nxk*npk)/sum(npk*npk)
            b = s
            if(s<=0){
                if(state==4){ end = NA }
                else{
                    if(s > -b.limit){ b = -b.limit }
                    end = x.fix + b*(p.end-p.fix)
                }
            }else{
                if(state==3){ end = NA }
                else{
                    if(s < b.limit){ b = b.limit }
                    end = x.fix + b*(p.end-p.fix)
                }
            }
        }
        return(end)
    }
}
